- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Fields

# miRE_s Struct Reference

## Data Fields
rpmTag | tag
rpmMireMode | mode
const char * | pattern
int | notmatch
regex_t * | preg
int | cflags
int | eflags
int | fnflags

## Detailed Description

Definition at line 1513 of file rpmdb.c.

## Field Documentation

rpmTag miRE_s::tag

header tag

Definition at line 1514 of file rpmdb.c.

Referenced by mireCmp(), mireSkip(), and rpmdbSetIteratorRE().

rpmMireMode miRE_s::mode

pattern match mode

Definition at line 1515 of file rpmdb.c.

Referenced by miregexec(), and rpmdbSetIteratorRE().

const char* miRE_s::pattern

pattern string

Definition at line 1516 of file rpmdb.c.

Referenced by miregexec(), and rpmdbSetIteratorRE().

int miRE_s::notmatch

like "grep -v"

Definition at line 1517 of file rpmdb.c.

Referenced by mireSkip(), and rpmdbSetIteratorRE().

regex_t* miRE_s::preg

regex compiled pattern buffer

Definition at line 1518 of file rpmdb.c.

Referenced by miregexec(), and rpmdbSetIteratorRE().

int miRE_s::cflags

regcomp(3) flags

Definition at line 1519 of file rpmdb.c.

Referenced by rpmdbSetIteratorRE().

int miRE_s::eflags

regexec(3) flags

Definition at line 1520 of file rpmdb.c.

Referenced by miregexec(), and rpmdbSetIteratorRE().

int miRE_s::fnflags

fnmatch(3) flags

Definition at line 1521 of file rpmdb.c.

Referenced by miregexec(), and rpmdbSetIteratorRE().

The documentation for this struct was generated from the following file:

- rpmdb/rpmdb.c